import os
import subprocess

lines = [
    'libupb.a',
    'libgrpc.a',
    'third_party/abseil-cpp/absl/strings/libabsl_cord.a',
    'third_party/abseil-cpp/absl/strings/libabsl_cord_internal.a',
    'third_party/abseil-cpp/absl/strings/libabsl_cordz_info.a',
    'third_party/abseil-cpp/absl/strings/libabsl_strings.a',
    'third_party/abseil-cpp/absl/strings/libabsl_str_format_internal.a',
    'third_party/abseil-cpp/absl/strings/libabsl_strings_internal.a',
    'third_party/abseil-cpp/absl/strings/libabsl_cordz_handle.a',
    'third_party/abseil-cpp/absl/strings/libabsl_cordz_functions.a',
    'third_party/abseil-cpp/absl/types/libabsl_bad_optional_access.a',
    'third_party/abseil-cpp/absl/types/libabsl_bad_variant_access.a',
    'third_party/abseil-cpp/absl/synchronization/libabsl_graphcycles_internal.a',
    'third_party/abseil-cpp/absl/synchronization/libabsl_synchronization.a',
    'third_party/abseil-cpp/absl/hash/libabsl_city.a',
    'third_party/abseil-cpp/absl/hash/libabsl_hash.a',
    'third_party/abseil-cpp/absl/hash/libabsl_low_level_hash.a',
    'third_party/abseil-cpp/absl/debugging/libabsl_debugging_internal.a',
    'third_party/abseil-cpp/absl/debugging/libabsl_symbolize.a',
    'third_party/abseil-cpp/absl/debugging/libabsl_stacktrace.a',
    'third_party/abseil-cpp/absl/debugging/libabsl_demangle_internal.a',
    'third_party/abseil-cpp/absl/status/libabsl_status.a',
    'third_party/abseil-cpp/absl/status/libabsl_statusor.a',
    'third_party/abseil-cpp/absl/time/libabsl_time_zone.a',
    'third_party/abseil-cpp/absl/time/libabsl_time.a',
    'third_party/abseil-cpp/absl/time/libabsl_civil_time.a',
    'third_party/abseil-cpp/absl/container/libabsl_raw_hash_set.a',
    'third_party/abseil-cpp/absl/container/libabsl_hashtablez_sampler.a',
    'third_party/abseil-cpp/absl/numeric/libabsl_int128.a',
    'third_party/abseil-cpp/absl/profiling/libabsl_exponential_biased.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_internal_pool_urbg.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_distributions.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_seed_sequences.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_internal_platform.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_internal_seed_material.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_internal_randen_slow.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_internal_randen_hwaes_impl.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_internal_randen_hwaes.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_internal_randen.a',
    'third_party/abseil-cpp/absl/random/libabsl_random_seed_gen_exception.a',
    'third_party/abseil-cpp/absl/base/libabsl_spinlock_wait.a',
    'third_party/abseil-cpp/absl/base/libabsl_log_severity.a',
    'third_party/abseil-cpp/absl/base/libabsl_raw_logging_internal.a',
    'third_party/abseil-cpp/absl/base/libabsl_base.a',
    'third_party/abseil-cpp/absl/base/libabsl_throw_delegate.a',
    'third_party/abseil-cpp/absl/base/libabsl_malloc_internal.a',
    'third_party/zlib/libz.a',
    'third_party/re2/libre2.a',
    'third_party/boringssl-with-bazel/libcrypto.a',
    'third_party/boringssl-with-bazel/libssl.a',
    'third_party/cares/cares/lib/libcares.a',
    'third_party/protobuf/libprotobuf.a',
    'libgpr.a',
    'libaddress_sorting.a',
    'libgrpc++.a',
]

modules = []

for line in lines:
    lib = line
    module = lib.split('/')[-1].split('.a')[0]
    print("include $(CLEAR_VARS)")
    print(f"LOCAL_MODULE := {module}")
    print(f"LOCAL_SRC_FILES := ../../../grpc/{lib}")
    print(f"include $(PREBUILT_STATIC_LIBRARY)")
    print()

    modules.append(module)

for module in modules:
    print (f'{module} \\')
